language: go
go:
  - 1.6
  - 1.7
  - 1.x
go_import_path: google.golang.org/genproto

script:
- go test -v ./...
- if [[ "$TRAVIS_BRANCH" == "master" &&  "$TRAVIS_PULL_REQUEST" == "false" ]]; then
  go get -u -v cloud.google.com/go/...;
  fi
